## ibus-bamboo 0.8.4

=== Makefile ===
#
# Bamboo - A Vietnamese Input method editor
# Copyright (C) 2018 Luong Thanh Lam <ltlam93@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
PREFIX=/usr
CC=cc

engine_name=bamboo
engine_gui_name=ibus-setup-Bamboo.desktop
ibus_e_name=ibus-engine-$(engine_name)
pkg_name=ibus-$(engine_name)
version=0.8.4

engine_dir=$(PREFIX)/share/$(pkg_name)
ibus_dir=$(PREFIX)/share/ibus

GOLDFLAGS=-ldflags "-w -s -X main.Version=$(version)"

rpm_src_dir=~/rpmbuild/SOURCES
tar_file=$(pkg_name)-$(version).tar.gz
rpm_src_tar=$(rpm_src_dir)/$(tar_file)
tar_options_src=--transform "s/^\./$(pkg_name)-$(version)/" --exclude=.git --exclude="*.tar.gz" .

all: build

build:
	CGO_ENABLED=1 go build $(GOLDFLAGS) -o $(ibus_e_name) -mod=vendor

t:
	CGO_ENABLED=1 go test ./...
	CGO_ENABLED=1 go test ./vendor/github.com/BambooEngine/bamboo-core/... -mod=vendor

clean:
	rm -f ibus-engine-bamboo
	rm -f *_linux *_cover.html go_test_* go_build_* test *.gz test
	rm -f debian/files
	rm -rf debian/debhelper*
	rm -rf debian/.debhelper
	rm -rf debian/ibus-bamboo*


install: build
	mkdir -p $(DESTDIR)$(engine_dir)
	mkdir -p $(DESTDIR)$(PREFIX)/lib/ibus-$(engine_name)
	mkdir -p $(DESTDIR)$(ibus_dir)/component/
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications/

	cp -R -f icons data $(DESTDIR)$(engine_dir)
	cp -f $(ibus_e_name) $(DESTDIR)$(PREFIX)/lib/ibus-${engine_name}/
	cp -f data/$(engine_name).xml $(DESTDIR)$(ibus_dir)/component/
	cp -f data/$(engine_gui_name) $(DESTDIR)$(PREFIX)/share/applications/


uninstall:
	sudo rm -rf $(DESTDIR)$(engine_dir)
	sudo rm -rf $(DESTDIR)$(PREFIX)/lib/ibus-$(engine_name)/
	sudo rm -f $(DESTDIR)$(ibus_dir)/component/$(engine_name).xml
	sudo rm -rf $(DESTDIR)$(PREFIX)/share/applications/$(engine_gui_name)


src: clean
	tar -zcf $(DESTDIR)/$(tar_file) $(tar_options_src)
	cp -f data/$(pkg_name).spec $(DESTDIR)/
	cp -f data/$(pkg_name).dsc $(DESTDIR)/
	cp -f debian/changelog $(DESTDIR)/debian.changelog
	cp -f debian/control $(DESTDIR)/debian.control
	cp -f debian/compat $(DESTDIR)/debian.compat
	cp -f debian/rules $(DESTDIR)/debian.rules
	cp -f archlinux/PKGBUILD-obs $(DESTDIR)/PKGBUILD


rpm: clean
	tar -zcf $(rpm_src_tar) $(tar_options_src)
	rpmbuild $(pkg_name).spec -ba

deb: clean
	dpkg-buildpackage


.PHONY: build clean build install uninstall src rpm deb

=== debian/changelog ===
ibus-bamboo (0.8.4-0) stable; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Wed, 29 Oct 2025 17:40:32 +0000

ibus-bamboo (0.8.4-1) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Sun, 19 May 2024 06:21:06 +0700

ibus-bamboo (0.8.3-1) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Sat, 16 Sep 2023 06:21:06 +0700

ibus-bamboo (0.8.2-1) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Sun, 30 Oct 2022 06:21:06 +0700

ibus-bamboo (0.8.1-1) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Sat, 12 Feb 2022 06:21:06 +0700

ibus-bamboo (0.8.0-1) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Sat, 9 Oct 2021 06:21:06 +0700

ibus-bamboo (0.7.9-1) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Fri, 13 Aug 2021 06:21:06 +0700

ibus-bamboo (0.7.8-1) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Wed, 28 Jul 2021 06:21:06 +0700

ibus-bamboo (0.7.7-1) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Sun, 18 Jul 2021 18:21:06 +0700

ibus-bamboo (0.7.6-1) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Sun, 18 Jul 2021 08:21:06 +0700

ibus-bamboo (0.7.5-1) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Sat, 17 Jul 2021 08:21:06 +0700

ibus-bamboo (0.7.4-1) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Sat, 15 May 2021 08:21:06 +0700

ibus-bamboo (0.7.3-1) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Wed, 12 May 2021 08:21:06 +0700

ibus-bamboo (0.7.2-1) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Mon, 10 May 2021 08:21:06 +0700

ibus-bamboo (0.7.1-1) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Sun, 09 May 2021 08:21:06 +0700

ibus-bamboo (0.7.0-1) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Sun, 14 Mar 2021 09:21:06 +0700

ibus-bamboo (0.6.8-2) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Sun, 31 Jan 2021 09:21:06 +0700

ibus-bamboo (0.6.8-1) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Sun, 29 Nov 2020 13:21:06 +0700

ibus-bamboo (0.6.7-1) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Fri, 02 Oct 2020 17:21:06 +0700

ibus-bamboo (0.6.6-1) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Sun, 23 Aug 2020 15:21:06 +0700

ibus-bamboo (0.6.5-1) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Thu, 30 Apr 2020 09:14:31 +0700

ibus-bamboo (0.6.4-1) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Wed, 15 Jan 2020 09:50:10 +0700

ibus-bamboo (0.6.3-1) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Tue, 10 Dec 2019 21:54:11 +0700

ibus-bamboo (0.6.2-1) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Mon, 18 Nov 2019 14:33:38 +0700

ibus-bamboo (0.6.1-2) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Thu, 07 Nov 2019 17:23:27 +0700

ibus-bamboo (0.6.1-1) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Thu, 07 Nov 2019 10:07:52 +0700

ibus-bamboo (0.6.1-0) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Wed, 06 Nov 2019 08:09:42 +0700

ibus-bamboo (0.6.0-2) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Fri, 01 Nov 2019 19:57:53 +0700

ibus-bamboo (0.5.9-2) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Thu, 24 Oct 2019 21:02:09 +0700

ibus-bamboo (0.5.8-0) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Tue, 01 Oct 2019 20:54:16 +0700

ibus-bamboo (0.5.7-0) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Thu, 19 Sep 2019 12:35:33 +0700

ibus-bamboo (0.5.6-0) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Wed, 04 Sep 2019 22:45:09 +0700

ibus-bamboo (0.5.5-3) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Wed, 04 Sep 2019 09:48:53 +0700

ibus-bamboo (0.5.4ubuntu0) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Sun, 18 Aug 2019 17:05:49 +0700

ibus-bamboo (0.5.2ubuntu0) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Mon, 22 Jul 2019 10:00:42 +0700

ibus-bamboo (0.5.1ubuntu0) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Sun, 07 Jul 2019 21:18:29 +0700

ibus-bamboo (0.5.0ubuntu1) stable; urgency=medium

  * New upstream release

 -- Luong Thanh Lam <ltlam93@gmail.com>  Sun, 23 Jun 2019 11:14:16 +0700

ibus-bamboo (0.4.9ubuntu0) stable; urgency=medium

  * Release 0.4.9
    - Tone/Mark can be added to existing words
    - Bug fixes

 -- Luong Thanh Lam <ltlam93@gmail.com>  Sun, 16 Jun 2019 10:54:18 +0700

ibus-bamboo (0.4.8ubuntu0) stable; urgency=medium

  * Release 0.4.8
    - Fix a X connection leak when switching engine
    - Update emoji lookuptable whenever mouse click is happened
    - Using arrow keys, mouse to move around on input mode candidates

 -- Luong Thanh Lam <ltlam93@gmail.com>  Mon, 20 May 2019 09:32:10 +0700



=== debian/control ===
#
# Bamboo - A Vietnamese Input method editor
# Copyright (C) 2018 Luong Thanh Lam <ltlam93@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
Source: ibus-bamboo
Section: utils
Priority: extra
Maintainer: Luong Thanh Lam <ltlam93@gmail.com>
Build-Depends: debhelper, golang, libibus-1.0-dev, libx11-dev, libxtst-dev, libgtk-3-dev
Standards-Version: 0.8.4
Homepage: https://github.com/BambooEngine/ibus-bamboo

Package: ibus-bamboo
Architecture: any
Depends: ibus, libgtk-3-0
Description: A Vietnamese IME for IBus using Bamboo Engine.
 Bộ gõ tiếng Việt mã nguồn mở hỗ trợ hầu hết các bảng mã thông dụng,
 các kiểu gõ tiếng Việt phổ biến, bỏ dấu thông minh, kiểm tra chính tả, gõ tắt,...
 .
 Sử dụng phím tắt `<Shift>`+`~` để loại trừ ứng dụng không dùng bộ gõ, chuyển qua lại giữa các chế độ gõ:
  	* Pre-edit (default)
  	* Surrounding text, IBus ForwardKeyEvent, XTestFakeKeyEvent,...

=== debian/rules ===
#!/usr/bin/make -f
#
# Bamboo - A Vietnamese Input method editor
# Copyright (C) 2018 Luong Thanh Lam <ltlam93@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
export GOCACHE = /tmp/.cache
%:
	dh $@
